org.apache.synapse.transport.passthru.jmx

## Class PassThroughTransportMetricsCollector

- java.lang.Object
- - org.apache.axis2.transport.base.MetricsCollector
  - - org.apache.synapse.transport.passthru.jmx.PassThroughTransportMetricsCollector

-     public class PassThroughTransportMetricsCollector
      extends org.apache.axis2.transport.base.MetricsCollector

  This simple extension of the Axis2 transport MetricsCollector implementation, maintains a ConnectionsView instance, which is updated based on the events fired by the pass-through transport implementation. In addition to the usual events handled by the Axis2 MetricsCollector, this implementation handles two new events:

  - connected (this should get called whenever a new connection is created)
  - disconnected (this should get called whenever an existing connection is closed)

  These new events are used to update the ConnectionsView at runtime.

- - ### Field Summary

    - ### Fields inherited from class org.apache.axis2.transport.base.MetricsCollector

      `LEVEL_FULL, LEVEL_NONE, LEVEL_TRANSPORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThroughTransportMetricsCollector(boolean listener, java.lang.String schemeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected()`
    `void` | `destroy()`
    `void` | `disconnected()`
    `void` | `exceptionOccured()`
    `int` | `getActiveConnectionCount()`
    `int` | `getUnServedRequestCount()`
    `void` | `notifyReceivedMessageSize(long l)`
    `void` | `notifySentMessageSize(long l)`
    `void` | `requestReceived()`
    `void` | `requestServed()`
    `void` | `timeoutOccured()`

    - ### Methods inherited from class org.apache.axis2.transport.base.MetricsCollector

      `getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getFaultsReceiving, getFaultsSending, getLastResetTime, getLevel, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMinSizeReceived, getMinSizeSent, getResponseCodeTable, getTimeoutsReceiving, getTimeoutsSending, incrementBytesReceived, incrementBytesReceived, incrementBytesSent, incrementBytesSent, incrementFaultsReceiving, incrementFaultsReceiving, incrementFaultsSending, incrementFaultsSending, incrementMessagesReceived, incrementMessagesReceived, incrementMessagesSent, incrementMessagesSent, incrementTimeoutsReceiving, incrementTimeoutsReceiving, incrementTimeoutsSending, incrementTimeoutsSending, notifyReceivedMessageSize, notifySentMessageSize, reportResponseCode, reportResponseCode, reset, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughTransportMetricsCollector

          public PassThroughTransportMetricsCollector(boolean listener,
                                                      java.lang.String schemeName)
                                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### connected

          public void connected()

    - #### disconnected

          public void disconnected()

    - #### requestReceived

          public void requestReceived()

    - #### requestServed

          public void requestServed()

    - #### timeoutOccured

          public void timeoutOccured()

    - #### exceptionOccured

          public void exceptionOccured()

    - #### notifyReceivedMessageSize

          public void notifyReceivedMessageSize(long l)

      Overrides:
        `notifyReceivedMessageSize` in class `org.apache.axis2.transport.base.MetricsCollector`

    - #### notifySentMessageSize

          public void notifySentMessageSize(long l)

      Overrides:
        `notifySentMessageSize` in class `org.apache.axis2.transport.base.MetricsCollector`

    - #### getActiveConnectionCount

          public int getActiveConnectionCount()

    - #### getUnServedRequestCount

          public int getUnServedRequestCount()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.